Foswiki on GitHub is open for business! Next release meeting: Monday October 13, 1300Z

Item9348: Now that we have disabled TWikiCompatibilityPlugin by default, the installer gets silly warning in configure

Priority: CurrentState: AppliesTo: Component: WaitingFor:
Urgent Closed Engine    
We decided a few days ago that TCP should be shipped but disabled by default.

But this then creates a warning that will confuse the person installing Foswiki

In {PluginsOrder} you get: "Warning: TWikiCompatibilityPlugin is not enabled or is not installed"

If we change {PluginsOrder} to not include TCP the warning will be gone - but then people that needs it will never know to add this to the {PluginsOrder}.

We need a pratical solution to that. I still agree that from 1.1 TCP should be disabled by default.

Best simple fix could be to just recode the check in Checkers/PluginsOrder - it's already specific to the TCP.

Ie. do not warn in this checker if it is TCP that is the only thing to warn about for {PluginsOrder}.

-- KennethLavrsen - 18 Jul 2010

 

ItemTemplate edit

Summary Now that we have disabled TWikiCompatibilityPlugin by default, the installer gets silly warning in configure
ReportedBy KennethLavrsen
Codebase
SVN Range
AppliesTo Engine
Component
Priority Urgent
CurrentState Closed
WaitingFor
Checkins distro:a38e8bfd87ba
TargetRelease minor
ReleasedIn 1.1.0
Topic revision: r4 - 04 Oct 2010, KennethLavrsen
 
The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. see CopyrightStatement. Creative Commons License